Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence
Class XMLPersistenceMetaDataSerializer.SerializationComparator

    java.lang.Object
      org.apache.openjpa.meta.InheritanceComparator
          org.apache.openjpa.meta.MetaDataInheritanceComparator
              org.apache.openjpa.persistence.XMLPersistenceMetaDataSerializer.SerializationComparator

All Implemented Interfaces:
  Serializable, Comparator

Direct Known Subclasses:
  XMLPersistenceMappingSerializer.MappingSerializationComparator

Enclosing class:
  XMLPersistenceMetaDataSerializer

    protected class XMLPersistenceMetaDataSerializer.SerializationComparator

extends MetaDataInheritanceComparator

Compares clases, sequences, and queries to order them for serialization. Places sequences first, then classes, then queries. Sequences and queries are ordered alphabetically by name. Classes are placed in listing order, in inheritance order within that, and in alphabetical order within that.

Author:
  Stephen Kim
See Also:
  Serialized Form

Constructor Summary
`protected` | `XMLPersistenceMetaDataSerializer.SerializationComparator()`

Method Summary
`int` | `compare(Object o1, Object o2)`
`protected int` | `compareUnknown(Object o1, Object o2)` Compare two unrecognized elements of the same type.

Methods inherited from class org.apache.openjpa.meta.MetaDataInheritanceComparator
`toClass`

Methods inherited from class org.apache.openjpa.meta.InheritanceComparator
`getBase, setBase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### XMLPersistenceMetaDataSerializer.SerializationComparator

    protected XMLPersistenceMetaDataSerializer.SerializationComparator()

Method Detail

### compare

    public int compare(Object o1,
                       Object o2)

  Specified by:
    `compare` in interface `Comparator`
  Overrides:
    `compare` in class `MetaDataInheritanceComparator`

### compareUnknown

    protected int compareUnknown(Object o1,
                                 Object o2)

  Compare two unrecognized elements of the same type. Throws exception by default.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.